using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.ViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        public List<ReportGuideView> GetGuidesByTravels(ReportBindingModel model);
        List<ReportTravelsPCView> GetTravelsPCView(ReportBindingModel model);
        List<ReportGuidesPCView> GetGuidesPCView(ReportBindingModel model);
        void saveGuidesToPdfFile(ReportBindingModel model);
        void saveGuidesToWord(ReportBindingModel model);
        void saveGuidesToExcel(ReportBindingModel model);
      }
}
